Subject: Re: bug#44592: In sh-script-mode, should the syntax of . and / be made symbol?

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Dec 2020 22:59:14 -0500

>> The simplest solution I can think of is to change the
>>
>>     (skip-syntax-backward "w_'")
>>
>> in ‘sh-smie--default-backward-token’ to
>>
>>     (skip-syntax-backward ".w_'").
>>
>> This fixes the issue, but I’m not sure about unwanted effects.
>> Any ideas if it could cause something to misbehave?
>
> Perhaps Stefan has some comments here; added to the CCs.

I can't remember enough of how the syntax tables of sh-mode are setup.
So I suggest you just try it and see how it fares.

W.r.t only tweaking the SMIE behavior vs affecting `kill-sexp`, I think we
have `kill-word` for smaller chunks, so I don't see a convincing need to
use `kill-sexp` to stop at `/` boundaries.

But please add regression tests when you do that (and when you find
that it introduces new problems, please add those cases as additional
tests).

        Stefan